#pragma once
#include "2DObject.h"
#include "afxcmn.h"
// CDlgDataUpload 对话框

class CDlgDataUpload : public CDialog
{
	DECLARE_DYNAMIC(CDlgDataUpload)

public:
	CDlgDataUpload(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDlgDataUpload();

// 对话框数据
	enum { IDD = IDD_DIALOG1 };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnBnClickedBtnUpload();
public:
    C2DMap* m_pMap;
private:
	CString m_strMapName;
	BOOL m_bIsUpload;
public:
	afx_msg void OnTimer(UINT_PTR nIDEvent);
private:
	CProgressCtrl m_ctrlProgress;
public:
	virtual BOOL OnInitDialog();
};
